Skip to main content
PATCH
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

duration_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Patch payload for case duration definitions.

name
string | null
Maximum string length: 255
description
string | null
Maximum string length: 1024
start_anchor
CaseDurationEventAnchor · object | null

Selection criteria describing an event boundary for a duration.

end_anchor
CaseDurationEventAnchor · object | null

Selection criteria describing an event boundary for a duration.

Response

Successful Response

Read model for case duration definitions.

name
string
required

Human readable name for the metric.

Maximum string length: 255
start_anchor
CaseDurationEventAnchor · object
required

Event configuration that marks the start of the duration.

end_anchor
CaseDurationEventAnchor · object
required

Event configuration that marks the end of the duration.

id
string<uuid>
required
description
string | null

Optional description providing more context.

Maximum string length: 1024